<html xmlns="http://www.w3.org/1999/xhtml" dir="ltr" lang="es-ES">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=latin1_spanish_ci" />
	<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
    <title>...::: Sistema de Registro, Control y Asistencia T&eacute;cnica de Equipos Tenol&oacute;gicos - SIRECONASTET-DTPCG :::...</title>
    <link rel="stylesheet" href="css/main.css" type="text/css" media="screen" />
<style type="text/css">
.Estilo1 {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-weight: bold;
	font-size: 14px;
	color:#000000;
	vertical-align:middle;
}
</style>

<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="main.js"></script>

</head>
<body bgcolor="#F0F0F0">
<?php 
    include "mnPrincipal.php";
	if (empty($usuario)){
		 echo "<script LANGUAGE='JavaScript'>
     alert('Usuario No registrado');
     window.location.href='index.php';
     </script>";
	}
?> 
   
    <div align="center">
	<br><br><br>
	<?php
if ($n_log == $Log_admin){
		header('Location: mnmod_funcionario.php'); 
		}?>	
		<form action="" method="post">
			 <table width="260" border="0" align="center" cellpadding="3" cellspacing="4" bordercolor="#000000">
				<tr>
				  <td width="102" class="Estilo1"><strong>Usuario:</strong></td>
				  <td width="146" class="ArialNarrow"><input name="login" type="text" id="login" /></td>
				</tr>
				<tr>
				  <td class="Estilo1"><strong>Contrase&ntilde;a:</strong></td>
				  <td class="ArialNarrow"><input name="pass" type="password" id="pass" /></td>
				</tr>
				<tr>
				  <td class="ArialNarrow">&nbsp;</td>
				  <td class="ArialNarrow"><input type="submit" name="ingresar" value="Ingresar"/></td>
				</tr>
	  		 </table>
	  	</form>
 </div>
    <table width="946" border="2" align="center" cellpadding="15" cellspacing="10" bordercolor="#FF0000">
  <tr>
    <td colspan="6"><div align="center" class="Estilo1">      
      <p>&nbsp;</p>
      <p>&nbsp;</p>
      <p> INGRESO DE NUEVO FUNCIONARIO </p>
    </div></td>
  </tr>
  <?php
	  if(isset($_POST['ingresar'])){
		  $login=$_POST["login"];
		  $pass=$_POST["pass"];
		  include "conexion/conex.php";
		  $enlace =conectarbase();
		  $consulta = "SELECT * from admin where Login = '$login' AND Password = '$pass'";
		  $resultado=basedatos($consulta);
			if ($row=mysql_fetch_array($resultado)){
				//echo "ingreso";
				$bandera=1;
			}else{
				$bandera=0;
				echo "Este usuario no es Administrador";/*
				echo "<script LANGUAGE='JavaScript'>
					 alert('Sus datos no son de Administrador');
						history.go(-1)
				   </script>";*/
			}
		  
	  }?>

    <?php
	  if(isset($_POST['ingresar']) && $bandera==1 ){?>
		 <form action="" method="post">
			<fieldset style="border: 1px solid #8A0808;"	>
				<legend>Busqueda por Funcionario</legend>
						<p align="center"><label for="id">Funcionarios Registrados:</label>
						<select name="funcionario">
							<?php 
								$consulta = "SELECT * from funcionarios ";
								$resultado=mysql_query($consulta);
								echo "resultado = $resultado";
								while ($row=mysql_fetch_array($resultado)){
								   echo '<option value="'.$row['Nombre_funcionario'].'">'.$row["Nombre_funcionario"]. '</option>';
								}
							?>
						</select>
						<input type="submit" name="search" value="Buscar" /></p>
			</fieldset></form>
	 	
		<?php }
		
		
		 if(isset($_POST['search'])){
			 	$funcionario=$_POST["funcionario"];
				echo "<h2> Funcionario: ". strtoupper($funcionario). "</h2> <hr>";
			 	 include "conexion/conex.php";
		  		 $enlace =conectarbase();
		 		 $consulta = "SELECT * from funcionarios where Nombre_funcionario = '$funcionario' ";
		  		$resultado=basedatos($consulta);
				if ($row=mysql_fetch_array($resultado)){
					?>
						<form action="" method="post">
							<input type="hidden" name="funcionario" value="<?php echo $funcionario; ?>">
							<tr>
							  <td class="Estilo1"><div align="right">
								<h4>Nombre del Funcionario</h4>
							  </div></td>
							   <td colspan="5">
									<input name="nombre" type="text" value="<?php echo $row['Nombre_funcionario'];?>" size="80"/>
							  </td>
							 </tr>
							<tr>
								<td class="Estilo1"><div align="right">
									<h4>Cedula</h4>
									</div>
								</td>
								<td colspan="5">
									 <input name="cedula" type="text" value="<?php echo $row['Cedula_funcionario'];?>" size="10"/>
								</td>
							</tr>
							<tr>
								<td class="Estilo1"><div align="right">
									<h4>Cargo del Funcionario</h4>
									</div>
								</td>
								<td colspan="5">
										 <input name="cargo" type="text" value="<?php echo $row['Cargo_funcionario'];?>" size="80"/> 
								</td>
							</tr>
							<tr>
								<td class="Estilo1"><div align="right">
									<h4>Fecha de Ingreso</h4>
									</div>
								</td>
								<td colspan="5">
									<input name="fecha" type="text" value="<?php echo $row['Fecha_registro'];?>">
								</td>
							</tr>
							<tr>
								 <td class="Estilo1"><div align="right">
										<h4>Login</h4>
									 </div>
								 </td>
								 <td colspan="5">
									 <input name="login" type="text" value="<?php echo $row['Login'];?>" >
								 </td>
							</tr>
							<tr>
								 <td class="Estilo1"><div align="right">
									<h4>Contrase&ntilde;a</h4>
									</div>
								 </td>
								 <td colspan="5">
										 <input name="paswd" type="password"  value="<?php echo $row['password'];?>">
										
								</td>
							</tr>
			  
							 <tr>
								<td colspan="6"><div align="center">
									<input type="submit" name="modificar"  value="Modificar"/>
									 <input type="submit" name="eliminar" id="Eliminar" value="Eliminar"/>
										</div>
								</td>
							</tr>
							</table>
				</form>
		
				<?php
				}else{
					$bandera=0;
					echo "************** NO ingreso";
					echo "<script LANGUAGE='JavaScript'>
					 alert('Sus datos no son de Administrador');
						history.go(-1)
				   </script>";
				}
				?>
		
 <?php }?>
      	
<?php
//********************************MODULO PARA MODIFICACION DE REGISTROS************************************************************
if(isset($_POST['modificar'])){
			 $n=0;
			 $nombre=$_POST["nombre"];		 
			 $cedula=$_POST["cedula"];
			 $cargo=$_POST["cargo"];
			 $fecha=$_POST["fecha"];
			 $login=$_POST["login"];
			 $paswd=$_POST["paswd"];
			 $funcionario=$_POST["funcionario"];		 
			 	
			/*echo (" '$nombre','$cedula','$cargo','$fecha','$login', '$paswd'");*/
			
			//*****************MODIFICACION EN LA TABLA FUNCIONARIOS*********************
			include "conexion/conex.php";
     		$enlace =conectarbase();
	 		$consulta = "SELECT * from funcionarios";
			$Actualizar= "UPDATE funcionarios SET Nombre_funcionario='$nombre', Cedula_funcionario='$cedula', Cargo_funcionario='$cargo', Fecha_registro='$fecha', Login='$login', password='$paswd' where Nombre_funcionario='$funcionario'";
 			$resultamod=mysql_query($Actualizar);
			 if (!$resultamod){
				die("Fallo en la modificacion del registro en la Base de Datos:tabla funcionarios" . mysql_error());
			 }else{
				
				echo "<script type='text/javascript' LANGUAGE='JavaScript'>
					alert('El Funcionario fue Modificado Exitosamente!')
					window.location.href='principal.php';
					</script>";
			
			}
				
} 

if(isset($_POST['eliminar'])){
			 $n=0;
			 $nombre=$_POST["nombre"];		 
			 $cedula=$_POST["cedula"];
			 $cargo=$_POST["cargo"];
			 $fecha=$_POST["fecha"];
			 $login=$_POST["login"];
			 $paswd=$_POST["paswd"];
			 $funcionario=$_POST["funcionario"];		 
			 	
			/*echo (" '$nombre','$cedula','$cargo','$fecha','$login', '$paswd'");*/
			
			//*****************INSERCION EN LA TABLA FUNCIONARIOS*********************
			include "conexion/conex.php";
     		$enlace =conectarbase();
	 		$consulta = "SELECT * from funcionarios";
			$eliminar= "DELETE FROM funcionarios where Cedula_funcionario='$cedula'";
 			$resultamod=mysql_query($eliminar);
			 if (!$resultamod){
				die("Fallo en la modificacion del registro en la Base de Datos:tabla funcionarios" . mysql_error());
			 }else{
			 	//en caso que este eliminando a un administrador
				$consulta = "SELECT * from admin";
				$eliminar= "DELETE FROM admin where Cedula_jefe='$cedula'";
 				$resultamod=mysql_query($eliminar);
			 	if (!$resultamod){
					die("Fallo en la modificacion del registro en la Base de Datos:tabla funcionarios" . mysql_error());
			 	}else{
					echo "<script type='text/javascript' LANGUAGE='JavaScript'>
					alert('El Funcionario fue Eliminado Exitosamente!')
					window.location.href='principal.php';
					</script>";
			
				}	
			}
		
			
} 

 ?> 

<script type="text/javascript" src="jquery.js"></script>
    <script type="text/javascript" src="main.js"></script>
</body>
</html>